<%= form_for @guideline do |f| %>
<% if @guideline.errors.any? %>
<div id="error_explanation">
  <h2><%= pluralize(@guideline.errors.count, "error") %> prohibited this guideline from being saved:</h2>
  <ul>
    <% @guideline.errors.full_messages.each do |msg| %>
    <li><%= msg %></li>
    <% end %>
  </ul>
</div>
<% end %>
<%= f.hidden_field :id, :value => @guideline.id %>
<div class="panel panel-default">
  <div class="panel-heading">
    <%= f.label "Title" %>
    <%= f.text_field :title , class:"form-control input-lg"%>
  </div>
  <div class="panel-body">
    <div class="row">
      <div class="form-group check-input col-xs-12 col-sm-5 col-md-5 col-lg-5">
        <%= f.label "Start Date" %>
        <div class="input-group">
          <% if @guideline.parent_id == nil %>
          <%= f.text_field :start_date, value: @guideline.start_date, class:"form-control date", disabled: true %>
          <% else %>
            <%= f.text_field :start_date, value: @guideline.start_date, class:"form-control date" %>
          <% end %>
          <span class="input-group-addon">
            <%= check_box_tag 'start_check', type: "checkbox" %>
          </span>
        </div>
      </div>
      <div class="form-group check-input col-xs-12 col-sm-5 col-md-5 col-lg-5">
        <%= f.label "End Date" %> <br>
        <div class="input-group">
          <% if @guideline.parent_id == nil %>
            <%= f.text_field :end_date, value: @guideline.end_date, class:"form-control date", disabled: true %>
          <% else %>
            <%= f.text_field :end_date, value: @guideline.end_date, class:"form-control date" %>
          <% end %>
          <span class="input-group-addon">
            <%= check_box_tag 'end_check', type: "checkbox" %>
          </span>
        </div>
      </div>
      <div class="form-group check-input col-xs-12 col-sm-2 col-md-2 col-lg-2">
        <label>Published Status</label><br>
        <% if @guideline.published %>
          <span class="glyphicon glyphicon-ok-sign text-success" style="font-size: 25px"></span>
        <% else %>
          <span class="glyphicon glyphicon-exclamation-sign text-warning" style="font-size: 25px"></span>
        <% end %>
      </div>
    </div>
      <div class="row">
        <div class="form-group check-input col-xs-12 col-sm-4 col-md-4 col-lg-4">
          <%= f.label :program %><br>
          <div class="input-group">
            <%= f.text_field :program, value: @guideline.program, class:"form-control" %>
            <span class="input-group-addon">
              <%= check_box_tag 'program_check', type: "checkbox" %>
            </span>
          </div>
        </div>
        <div class="form-group check-input col-xs-12 col-sm-4 col-md-4 col-lg-4">
          <%= f.label :investor %><br>
          <div class="input-group">
            <%= f.text_field :investor, value: @guideline.investor, class:"form-control" %>
            <span class="input-group-addon">
              <%= check_box_tag 'investor_check', type: "checkbox" %>
            </span>
          </div>
        </div>
          <div class="form-group check-input col-xs-12 col-sm-4 col-md-4 col-lg-4">
            <%= f.label :client %><br>
            <div class="input-group">
              <%= f.text_field :client, value: @guideline.client, class:"form-control" %>
              <span class="input-group-addon">
                <%= check_box_tag 'client_check', type: "checkbox" %>
              </span>
            </div>
          </div>
        </div>
      </div>
      <div class ="row">
        <div class="form-group check-input col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <%= f.label "Guide content" %>
          <div class="input-group">
            <% if @guideline.parent_id == nil %>
              <%= f.text_area :body, value: @guideline.body, rows:"12", class:"form-control", style:"resize: vertical", disabled: true%>
            <% else %>
              <%= f.text_area :body, value: @guideline.body, rows:"12", class:"form-control", style:"resize: vertical", id: 'editor'%>
            <% end %>
            <span class="input-group-addon"></span>
          </div>
        </div>
      </div>
    <!-- Markdown Preview -->
    <div class="form-group check-input" >
      <%= f.label "Preview" %>&nbsp;&nbsp;<span class="label label-default"></span>
      <div class="well preview">
        <h3><%= @guideline.title %></h3>
        <div style="margin-left: 30px" id="previewField">
        </div>
      </div>

    <!-- End of markdown preview -->
  </div>
  <div class="panel-footer clearfix">
    <span class="">
      <%= f.submit "Save", class: "btn btn-primary btn-sm save", title:"Tooltip test", data: {toggle:"tooltip", placement:"left"} %>
      <!--<button type="button" class="btn btn-warning btn-sm save" data-toggle="modal" data-target=".override-modal">Override</button>-->
      <%= link_to "Publish", publish_path(pub: @guideline.id), method: 'post', class:"btn btn-default btn-sm" %>
      <span class="saved-message">Guideline saved <span class="glyphicon glyphicon-ok"></span></span>
    </span>
    <span class="pull-right">
      <%= f.submit "Save To Children", class: "btn btn-primary btn-sm"  %>
      <!--<button type="button" class="btn btn-primary btn-sm" data-toggle="modal" data-target=".confirm-modal">Save children</button>-->
      <!--<button type="button" class="btn btn-warning btn-sm" data-toggle="modal" data-target=".override-all-modal">Override children</button>-->

      <%= link_to "Delete", guideline_path(@guideline),
      method: :delete, data: {confirm: 'Are you sure you want to delete '+ @guideline.title + ' and all of its children?'},
      class:"btn btn-danger btn-sm" %>
      <!--<button type="button" class="btn btn-danger btn-sm" data-toggle="modal" data-target=".delete-modal">Delete</button>-->
    </span>
  </div>
</div>
<% end %>
